<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
   >

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <RelativeLayout
            android:id="@+id/layoutPicture"
            android:layout_width="150dp"
            android:layout_height="150dp"
            android:layout_alignParentTop="true"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="20dp">
            <de.hdodenhof.circleimageview.CircleImageView
                android:layout_centerInParent="true"
                android:id="@+id/picture"
                android:layout_width="140dp"
                android:layout_height="140dp"
                android:src="@drawable/sld4" />

            <com.google.android.material.floatingactionbutton.FloatingActionButton
                android:id="@+id/fabChoosePic"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:layout_alignParentRight="true"
                android:layout_marginBottom="10dp"
                android:layout_marginRight="10dp"
                android:src="@drawable/ic_picture"
                app:fabSize="mini"/>
        </RelativeLayout>

        <androidx.cardview.widget.CardView
            android:id="@+id/layoutName"
            android:layout_marginTop="20dp"
            android:layout_below="@id/layoutPicture"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:cardElevation="@dimen/cardview_default_elevation"
            app:cardCornerRadius="0dp">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_margin="16dp">

                <TextView
                    android:text="Overview"
                    android:layout_marginLeft="3dp"
                    android:layout_marginBottom="10dp"
                    android:textSize="20sp"
                    android:textStyle="bold"
                    android:fontFamily="sans-serif-light"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" />

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <EditText
                        android:id="@+id/name"
                        android:hint="Name"
                        android:fontFamily="sans-serif-light"
                        android:inputType="textPersonName|textCapWords"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <EditText
                        android:id="@+id/species"
                        android:hint="Departemen"
                        android:fontFamily="sans-serif-light"
                        android:inputType="textPersonName|textCapWords"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <EditText
                        android:id="@+id/breed"
                        android:hint="Kerusakan"
                        android:fontFamily="sans-serif-light"
                        android:inputType="textPersonName|textCapWords"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>

            </LinearLayout>
        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:layout_marginTop="10dp"
            android:layout_marginBottom="30dp"
            android:layout_below="@id/layoutName"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:cardElevation="@dimen/cardview_default_elevation"
            app:cardCornerRadius="0dp">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_margin="16dp">

                <TextView
                    android:text="Status"
                    android:layout_marginLeft="4dp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" />

                <Spinner
                    android:id="@+id/gender"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="20dp"
                    android:layout_marginTop="5dp"
                    android:layout_marginLeft="-3dp"
                    android:hint="Status"
                    android:fontFamily="sans-serif-light"
                    android:inputType="textPersonName" />

                <LinearLayout
                    android:layout_weight="2"
                    android:orientation="horizontal"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:src="@drawable/ic_date"
                        android:layout_width="26dp"
                        android:layout_height="26dp" />

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_marginLeft="10dp"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">
                        <EditText
                            android:id="@+id/birth"
                            android:hint="Selesai Pada"
                            android:inputType="date"
                            android:fontFamily="sans-serif-light"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>

                </LinearLayout>

            </LinearLayout>
        </androidx.cardview.widget.CardView>

    </RelativeLayout>

</androidx.core.widget.NestedScrollView>